TheSwamp

CAD Forums => CAD General => Topic started by: Bethrine on January 28, 2008, 03:48:14 PM

Title: plot reveals dots not apparent on screen
Post by: Bethrine on January 28, 2008, 03:48:14 PM
Hey Everyone,

I have a dwg that plots dots on paper but they are not visible in the viewport or model space. I need to find them and turn them off. I know, silly question.  :ugly:
Thanks!

Just noticed, I think they are the same dots that my cursor actually goes under when I try to click on them.
Title: Re: plot reveals dots not apparent on screen
Post by: Guest on January 28, 2008, 03:50:06 PM
Hey Everyone,

I have a dwg that plots dots on paper but they are not visible in the viewport or model space. I need to find them and turn them off. I know, silly question.  :ugly:
Thanks!

I've seen something like this before... The dots were the dots at the end of leaders.  It turned out the layer that the leaders were on was turned off in the xref and not frozen (like we typically do).
Title: Re: plot reveals dots not apparent on screen
Post by: Bob Wahr on January 28, 2008, 03:51:56 PM
[guess]either points or zero length lines in an xref on layer defpoints.  defpoints frozen in current drawing but "dots" picking up properties from layer 0 or layer xref inserted onto.[/guess]
Title: Re: plot reveals dots not apparent on screen
Post by: Slim© on January 28, 2008, 03:52:52 PM
Do you have any layers that are the same color or close to the same color as your background color?
Title: Re: plot reveals dots not apparent on screen
Post by: Guest on January 28, 2008, 03:53:26 PM
[guess]either points or zero length lines in an xref on layer defpoints.  defpoints frozen in current drawing but "dots" picking up properties from layer 0 or layer xref inserted onto.[/guess]

But defpoints doesn't plot.
Title: Re: plot reveals dots not apparent on screen
Post by: Josh Nieman on January 28, 2008, 03:54:01 PM
Do you see a lot of grips appear when you hit CTRL+A where there otherwise shouldn't be grips?
Title: Re: plot reveals dots not apparent on screen
Post by: Bethrine on January 28, 2008, 03:55:29 PM
No excess grips, there not in the same location as the dots either. All Xref layers are the same color. I am certain it has to be something in the Xref'd dwg

ps, I like that Ctrl A a lot :)
Title: Re: plot reveals dots not apparent on screen
Post by: Bob Wahr on January 28, 2008, 04:05:53 PM
[guess]either points or zero length lines in an xref on layer defpoints.  defpoints frozen in current drawing but "dots" picking up properties from layer 0 or layer xref inserted onto.[/guess]

But defpoints doesn't plot.
defpoints, unlike other layers doesn't have xref specific settings (xrefname|Defpoints), it is also linked to layer 0 in some funky bizarre ways for no reason that I can figure out.  nested instances of defpoints often lose their defpointedness and obtain some zeroosity.  But maybe it's just been my imagination for years and years.  You're probably right.
Title: Re: plot reveals dots not apparent on screen
Post by: Bethrine on January 28, 2008, 04:10:31 PM
okay, found the dots at the ends of leaders, but can't click on them, my cursor goes underneath them.
Title: Re: plot reveals dots not apparent on screen
Post by: Guest on January 28, 2008, 04:31:24 PM
....lose their defpointedness and obtain some zeroosity....

Hehehehehe...   :-D
Title: Re: plot reveals dots not apparent on screen
Post by: David Hall on January 28, 2008, 04:37:56 PM
what happens if you set pdmode to 3?
Title: Re: plot reveals dots not apparent on screen
Post by: Bethrine on January 28, 2008, 04:40:11 PM
what is pdmode and what does it do?  :evil: Don't mean to be stubborn after asking for help, but I don't like making changes without knowing what I am causing.  :roll:
Title: Re: plot reveals dots not apparent on screen
Post by: David Hall on January 28, 2008, 05:02:51 PM
pdmode is a "point" resolution setting for lack of a better definition.  If you go to your format pulldown, and go to point style, you will see the "graphics" for points.  3 is just an 'X' on screen.  0 is the period/dot, 1 is "nothing", literally nothing, you cant select it, other #'s generate different pics.  Anyway, pick a graphic, and type pdmode and you will see the corresponding number
Title: Re: plot reveals dots not apparent on screen
Post by: Bethrine on January 28, 2008, 06:03:42 PM
It turned out to be a leader end on an odd layer, ceiling heights. Thanks everyone!!
Title: Re: plot reveals dots not apparent on screen
Post by: David Hall on January 28, 2008, 06:59:41 PM
my question is how did the leader endpoint get on that layer?  By the very nature of dimensions and the layer defpoints, those dots should have been on defpoints.  Unless they had lost their defpointedness as Bob stated
Title: Re: plot reveals dots not apparent on screen
Post by: Kate M on January 29, 2008, 01:19:28 PM
what is pdmode and what does it do?  :evil: Don't mean to be stubborn after asking for help, but I don't like making changes without knowing what I am causing.  :roll:
A great attitude for learning, IMHO :-)

my question is how did the leader endpoint get on that layer?  By the very nature of dimensions and the layer defpoints, those dots should have been on defpoints.  Unless they had lost their defpointedness as Bob stated
It's an old bug -- if you turn off an xrefed layer containing leaders, the arrowheads still plot. However, if you freeze the layer instead, they won't plot.
Title: Re: plot reveals dots not apparent on screen
Post by: Bethrine on January 29, 2008, 04:02:13 PM
Yes, I froze the layer in the X-ref'd dwg. And thanks Kate! I want to know as much as possible!  :-D

...updating signature to current version of CAD in use...
Title: Re: plot reveals dots not apparent on screen
Post by: whdjr on February 12, 2008, 02:18:22 PM
For all of you that might have exploded dimensions or lost points flying around, this will remove them.
Code: [Select]
; Pointkill - removes all points from a drawing.
 ; By SW for Rocket Software  Copyright 1991
 ; Sorry, Suerat.
(DEFUN C:PKILL (/ hi ss pos num rad so txa pa dell)
  (setvar "cmdecho" 0)
  (setq hi (getvar "highlight"))
  (setq ss (ssget "X" '((0 . "POINT"))))
  (setq pos 0)
  (if ss
    (progn
      (setq num (itoa (sslength ss)))
      (write-line (strcat "Points found: " num))
      (setq
rad (/ (- (car (getvar "extmax")) (car (getvar "extmin"))) 25)
      )
      (while (setq so (ssname ss pos))
(setq pa (cdr (assoc 10 (entget so))))
(grdraw (polar pa (/ pi 4) rad)
(polar pa (* 1.25 pi) rad)
7
)
(grdraw (polar pa (* pi 0.75) rad)
(polar pa (* pi 1.75) rad)
7
)
(setq pos (1+ pos))
      )
      (setq dell (getstring "Eradicate them? <Y>: "))
      (if (or (= dell "Y") (= dell "y") (= dell ""))
(progn
  (command "erase" ss "")
  (write-line (strcat "\nPoints destroyed: " num))
)
      )
    )
    (write-line "No points found.")
  )
  (setvar "highlight" hi)
  (PRINC)
)